You can skip this in seconds

Click here to continue

YetiShare File Hosting Script 4.1

What's Required in Version 4.1 of YetiShare File Hosting Script

PHP 5.2+ MySQL. Apache ModRewrite module. Recommended 64bit Linux.

What's New in Version 4.1 of YetiShare File Hosting Script

v4.1 - Package management, enable users to set their own password on registration, reCaptcha2, account security lock, webdav plugin, security & performance improvements, loads of new plugin changes and more. - 29th July 2015

Look for Similar Items by Category

Feedback

Popular Downloads